USN-3435-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3435-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3435-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3435-1
Related
  • CVE-2017-7793
  • CVE-2017-7805
  • CVE-2017-7810
  • CVE-2017-7811
  • CVE-2017-7812
  • CVE-2017-7813
  • CVE-2017-7814
  • CVE-2017-7815
  • CVE-2017-7816
  • CVE-2017-7818
  • CVE-2017-7819
  • CVE-2017-7820
  • CVE-2017-7821
  • CVE-2017-7822
  • CVE-2017-7823
  • CVE-2017-7824
Published
2017-10-02T22:55:54.213432Z
Modified
2017-10-02T22:55:54.213432Z
Summary
firefox vulnerabilities
Details

Multiple security issues were discovered in Firefox. If a user were tricked in to opening a specially crafted website, an attacker could potentially exploit these to read uninitialized memory, obtain sensitive information, bypass phishing and malware protection, spoof the origin in modal dialogs, conduct cross-site scripting (XSS) attacks, cause a denial of service via application crash, or execute arbitrary code. (CVE-2017-7793, CVE-2017-7810, CVE-2017-7811, CVE-2017-7812, CVE-2017-7813, CVE-2017-7814, CVE-2017-7815, CVE-2017-7818, CVE-2017-7819, CVE-2017-7820, CVE-2017-7822, CVE-2017-7823, CVE-2017-7824)

Martin Thomson discovered that NSS incorrectly generated handshake hashes. A remote attacker could potentially exploit this to cause a denial of service via application crash, or execute arbitrary code. (CVE-2017-7805)

Multiple security issues were discovered in WebExtensions. If a user were tricked in to installing a specially crafted extension, an attacker could potentially exploit these to download and open non-executable files without interaction, or obtain elevated privileges. (CVE-2017-7816, CVE-2017-7821)

References

Affected packages

Ubuntu:14.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
56.0+build6-0ubuntu0.14.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-nl": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-kn": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-gl": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-fy": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-kk": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-km": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-or": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-az": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-lt": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-hy": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-eo": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-sv": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-testsuite": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-sr": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-is": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ca": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-uk": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ga": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-it": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ja": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-lg": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ms": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-zh-hans": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-mozsymbols": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ko": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-hr": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-mai": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-nb": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-dev": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-vi": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-he": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-sw": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-el": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-oc": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-xh": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-nn": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ar": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-csb": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-cs": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-gn": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-hsb": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-zu": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-my": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ro": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-globalmenu": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-nso": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-af": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-sk": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-si": "56.0+build6-0ubuntu0.14.04.1",
            "firefox": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-cy": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-fa": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-cak": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-sq": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-en": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-tr": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-br": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-et": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ast": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-th": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-da": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-fi": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ku": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-mn": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ru": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-mk": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-bg": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-hu": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-gu": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-bn": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-kab": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ml": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-an": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-be": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-eu": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-fr": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-pa": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-as": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ta": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-pl": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-bs": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-te": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-id": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ka": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-lv": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-gd": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-uz": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-zh-hant": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-hi": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-es": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-de": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-mr": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-pt": "56.0+build6-0ubuntu0.14.04.1",
            "firefox-locale-ur": "56.0+build6-0ubuntu0.14.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
56.0+build6-0ubuntu0.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-nl": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-kn": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-gl": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-fy": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-kk": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-km": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-or": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-az": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-lt": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-hy": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-eo": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-sv": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-testsuite": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-sr": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-is": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ca": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-uk": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ga": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-it": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ja": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-lg": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ms": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-zh-hans": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-mozsymbols": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ko": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-hr": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-mai": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-nb": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-dev": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-vi": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-he": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-sw": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-el": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-oc": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-xh": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-nn": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ar": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-csb": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-cs": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-gn": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-hsb": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-zu": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-my": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ro": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-globalmenu": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-nso": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-af": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-sk": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-si": "56.0+build6-0ubuntu0.16.04.1",
            "firefox": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-cy": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-fa": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-cak": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-sq": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-en": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-tr": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-br": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-et": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ast": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-th": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-da": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-fi": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ku": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-mn": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ru": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-mk": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-bg": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-hu": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-gu": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-bn": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-kab": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ml": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-an": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-be": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-eu": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-fr": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-pa": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-as": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ta": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-pl": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-bs": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-te": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-id": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ka": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-lv": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-gd": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-uz": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-zh-hant": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-hi": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-es": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-de": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-mr": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-pt": "56.0+build6-0ubuntu0.16.04.1",
            "firefox-locale-ur": "56.0+build6-0ubuntu0.16.04.1"
        }
    ]
}